MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024661Open CASCADE[OCCT] OCCT:Codingpublic2014-02-25 12:202014-11-11 12:52
Reporterdln 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024661: Removing unused "generic" classes. Part 2
DescriptionIn scope of this issue next unused generic class will be removed:

1) GccGeo_ParGenCurve


And next packages with unused generic classes will be removed:

1) GraphDS

2) GraphTools
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024885closedkgv Getting rid of "TKAdvTools" toolkit 
related to 0024773closedapn Convertation of the generic classes to the non-generic. Part 7 
child of 0024487closedabv Getting rid of generic CDL classes 

-  Notes
(0028023)
dln (developer)
2014-02-25 12:22

Changes are ready for review in CR24661 branch.
(0028109)
abv (manager)
2014-03-03 19:48

At least one generic class from GraphTools is used in WOK:

wok/src> grep GraphTools */*
WOKernel/WOKernel.cdl: GraphTools
WOKernel/WOKernel.cdl: instantiates SortedStrgCmptsFromIterator from GraphTools (UnitGraph from WOKernel,
WOKernel/WOKernel.cdl: instantiates SortedStrgCmptsFromIterator from GraphTools (UnitGraph from WOKernel,

I assume that GraphTools and GraphDS are rather top-level packages, so we should consider their complete removal by asking OCCT users if they need them. If these are needed to no one, we will remove these classes moving the piece needed by WOK to it.
(0029715)
abv (manager)
2014-06-05 18:46

This fix has been overriden by 0024773 and 0024885, already integrated to master

- Issue History
Date Modified Username Field Change
2014-02-25 12:20 dln New Issue
2014-02-25 12:20 dln Assigned To => abv
2014-02-25 12:22 dln Note Added: 0028023
2014-02-25 12:22 dln Status new => resolved
2014-03-03 19:48 abv Note Added: 0028109
2014-03-03 19:49 abv Status resolved => feedback
2014-04-04 17:16 abv Target Version 6.7.1 => 6.8.0
2014-04-10 14:50 kgv Relationship added child of 0024487
2014-06-05 18:44 abv Relationship added related to 0024885
2014-06-05 18:44 abv Relationship added related to 0024773
2014-06-05 18:46 abv Note Added: 0029715
2014-06-05 18:46 abv Status feedback => tested
2014-06-05 18:46 abv Status tested => verified
2014-06-05 18:46 abv Resolution open => fixed
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker